Typescript (SDK)
import { SyllableSDK } from "syllable-sdk";
const syllableSDK = new SyllableSDK({
apiKeyHeader: process.env["SYLLABLESDK_API_KEY_HEADER"] ?? "",
});
async function run() {
const result = await syllableSDK.roles.delete({
roleId: 458987,
reason: "<value>",
});
console.log(result);
}
run();import os
from syllable_sdk import SyllableSDK
with SyllableSDK(
api_key_header=os.getenv("SYLLABLESDK_API_KEY_HEADER", ""),
) as ss_client:
res = ss_client.roles.delete(role_id=458987, reason="<value>")
# Handle response
print(res)curl --request DELETE \
--url https://api.syllable.cloud/api/v1/roles/{role_id} \
--header 'Syllable-API-Key: <api-key>'const options = {method: 'DELETE', headers: {'Syllable-API-Key': '<api-key>'}};
fetch('https://api.syllable.cloud/api/v1/roles/{role_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}roles
Delete Role
Delete a role. Optionally, reassign existing users with that role to a new role.
DELETE
/
api
/
v1
/
roles
/
{role_id}
Typescript (SDK)
import { SyllableSDK } from "syllable-sdk";
const syllableSDK = new SyllableSDK({
apiKeyHeader: process.env["SYLLABLESDK_API_KEY_HEADER"] ?? "",
});
async function run() {
const result = await syllableSDK.roles.delete({
roleId: 458987,
reason: "<value>",
});
console.log(result);
}
run();import os
from syllable_sdk import SyllableSDK
with SyllableSDK(
api_key_header=os.getenv("SYLLABLESDK_API_KEY_HEADER", ""),
) as ss_client:
res = ss_client.roles.delete(role_id=458987, reason="<value>")
# Handle response
print(res)Authorizations
Path Parameters
The ID of the role to delete
Query Parameters
The reason for deleting the role
Users with the deleted role will be reassigned to the new role, if a new role ID is provided
Response
Successful Response
⌘I

